<div class="container-fluid">
  <div class="card">
    <div class="card-header bg-info">
      {{type}} Budget Limit
    </div>
    <form [formGroup]="addEditBudgetLimitForm">
      <div class="card-body">
        <div class="row">
          <div class="col-sm-6">
            <div class="form-group">
              <label for="userGroup">User Group</label>
              <select id="userGroup"
                      class="form-control"
                      formControlName="userGroupId"
                      name="userGroup"
                      required="*">
                <option *ngFor="let event of (userGroups); let i = index"
                        [ngValue]="(userGroups)[i].userGroupId"
                >{{(userGroups)[i].description + '( ' + (userGroups)[i].code + ' )' }}</option>
              </select>
            </div>
            <div class="form-group">
              <label for="accountHeadId">Account Head</label>
              <select id="accountHeadId"
                      class="form-control"
                      formControlName="accountHeadId"
                      name="accountHeadId"
                      required="*">
                <option *ngFor="let event of (accountHeads); let i = index"
                        [ngValue]="(accountHeads)[i].accountHeadId"
                >{{(accountHeads)[i].description + '( ' + (accountHeads)[i].accountNumber + ')' }}</option>
              </select>
            </div>
            <div class="form-group">
              <label for="thisMonthExpense">This Month Expenses </label>
              <input type="number"
                     class="form-control"
                     id="thisMonthExpense"
                     formControlName="thisMonthExpense"
                     placeholder="Enter This month Expenses in (%)"
                     required
              >
              <!--              <small id="subjectHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>-->
            </div>
            <div class="form-group">
              <label for="amountCelling">Amount Celling </label>
              <input type="number"
                     class="form-control"
                     id="amountCelling"
                     formControlName="amountCelling"
                     placeholder="Enter Amount Celling"
                     required
              >
              <!--              <small id="subjectHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>-->
            </div>


          </div>
          <div class="col-sm-6">
            <div class="form-group">
              <label for="groupTypeId">User Group Type</label>
              <select id="groupTypeId"
                      class="form-control"
                      formControlName="groupTypeId"
                      name="groupTypeId">
                <option *ngFor="let event of (groupTypes); let i = index"
                        [ngValue]="(groupTypes)[i].userGroupTypeId"
                >{{(groupTypes)[i].name }}</option>
              </select>
            </div>
            <div class="form-group">
              <label for="monthlyCelling">Monthly Celling</label>
              <input type="number"
                     class="form-control"
                     id="monthlyCelling"
                     formControlName="monthlyCelling"
                     placeholder="Enter Monthly Celling in (%)"
                     required
              >
              <!--              <small id="subjectHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>-->
            </div>

            <div class="form-group">
              <label for="lastMonthExpense">Last Month Expenses </label>
              <input type="number"
                     class="form-control"
                     id="lastMonthExpense"
                     formControlName="lastMonthExpense"
                     placeholder="Enter Last month Expenses in (%)"
                     required
              >
              <!--              <small id="subjectHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>-->
            </div>
            <div class="form-group">
              <label for="fixedCellingAmount">Fixed Amount Celling </label>
              <input type="number"
                     class="form-control"
                     id="fixedCellingAmount"
                     formControlName="fixedCellingAmount"
                     placeholder="Enter Fixed Amount Celling"
                     required="*"
              >
              <!--              <small id="subjectHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>-->
            </div>

          </div>
        </div>
      </div>
      <div class="card-footer">
        <div class="row">
          <div class="col-sm-6">
            <button class="btn btn-success btn-block"
                    [disabled]="addEditBudgetLimitForm.invalid"
                    (click)="confirmDetail()">
              Submit</button>
          </div>
          <div class="col-sm-6">
            <button class="btn btn-danger btn-block" [routerLink]="['/budget-limit']"> Cancel</button>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>


<p-dialog [(visible)]="showConfirmation"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '490px', height: 'auto'}">
  <p-header>
    <h6 style="font-weight: 800;color: #454545;float: left; margin: 0;">User Detail</h6>
  </p-header>

  <div class="row">
    <div class="col-md-12 mt-3">
      <div class="col-md-6 form-group float-left">
        <label>User Group :</label>
        <p>{{ userGroupName}}</p>
      </div>

      <div class="col-md-6 form-group float-left" *ngIf="groupTypeName != null">
        <label>Group Type :</label>
        <p>{{ groupTypeName }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Account Head :</label>
        <p>{{ accountHead }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Monthly Celling :</label>
        <p>{{ addEditBudgetLimitForm.value.monthlyCelling }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>This Month Expense :</label>
        <p>{{ addEditBudgetLimitForm.value.thisMonthExpense }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Last Month Expense :</label>
        <p>{{ addEditBudgetLimitForm.value.lastMonthExpense }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Amount Celling :</label>
        <p>{{ addEditBudgetLimitForm.value.amountCelling }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Fixed Amount Celling :</label>
        <p>{{ addEditBudgetLimitForm.value.fixedCellingAmount }}</p>
      </div>

    </div>
  </div>
  <footer>
    <div class="row">
      <div class="col-md-12">
        <div class="col-md-12 mb-3">
          <button class="btn btn-sm btn-success float-right"
                  type="submit"
                  (click)="onSubmit()"
          >Confirm
          </button>
          <button class="btn btn-sm btn-outline- ml-3 float-right"
                  type="button"
                  (click)="showConfirmation=false">
            Cancel
          </button>
        </div>
      </div>
    </div>
  </footer>
</p-dialog>
